- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# UDataInfo Struct Reference

UDataInfo contains the properties about the requested data. More...

`#include <udata.h>`

## Data Fields
uint16_t | size
| sizeof(UDataInfo)
uint16_t | reservedWord
| unused, set to 0
uint8_t | isBigEndian
| 0 for little-endian machine, 1 for big-endian
uint8_t | charsetFamily
| see U_CHARSET_FAMILY values in utypes.h
uint8_t | sizeofUChar
| sizeof(UChar), one of { 1, 2, 4 }
uint8_t | reservedByte
| unused, set to 0
uint8_t | dataFormat [4]
| data format identifier
uint8_t | formatVersion [4]
| versions: [0] major [1] minor [2] milli [3] micro
uint8_t | dataVersion [4]
| versions: [0] major [1] minor [2] milli [3] micro

## Detailed Description

UDataInfo contains the properties about the requested data.

This is meta data.

This structure may grow in the future, indicated by the `size` field.

The platform data property fields help determine if a data file can be efficiently used on a given machine. The particular fields are of importance only if the data is affected by the properties - if there is integer data with word sizes > 1 byte, char* text, or UChar* text.

The implementation for the `udata_open[Choice]()` functions may reject data based on the value in `isBigEndian`. No other field is used by the `udata` API implementation.

The `dataFormat` may be used to identify the kind of data, e.g. a converter table.

The `formatVersion` field should be used to make sure that the format can be interpreted. I may be a good idea to check only for the one or two highest of the version elements to allow the data memory to get more or somewhat rearranged contents, for as long as the using code can still interpret the older contents.

The `dataVersion` field is intended to be a common place to store the source version of the data; for data from the Unicode character database, this could reflect the Unicode version.

Stable:
  ICU 2.0

Definition at line 105 of file udata.h.

## Field Documentation

uint16_t UDataInfo::size

sizeof(UDataInfo)

Stable:
  ICU 2.0

Definition at line 108 of file udata.h.

uint16_t UDataInfo::reservedWord

unused, set to 0

Stable:
  ICU 2.0

Definition at line 112 of file udata.h.

uint8_t UDataInfo::isBigEndian

0 for little-endian machine, 1 for big-endian

Stable:
  ICU 2.0

Definition at line 117 of file udata.h.

uint8_t UDataInfo::charsetFamily

see U_CHARSET_FAMILY values in utypes.h

Stable:
  ICU 2.0

Definition at line 121 of file udata.h.

uint8_t UDataInfo::sizeofUChar

sizeof(UChar), one of { 1, 2, 4 }

Stable:
  ICU 2.0

Definition at line 125 of file udata.h.

uint8_t UDataInfo::reservedByte

unused, set to 0

Stable:
  ICU 2.0

Definition at line 129 of file udata.h.

uint8_t UDataInfo::dataFormat[4]

data format identifier

Stable:
  ICU 2.0

Definition at line 133 of file udata.h.

uint8_t UDataInfo::formatVersion[4]

versions: [0] major [1] minor [2] milli [3] micro

Stable:
  ICU 2.0

Definition at line 137 of file udata.h.

uint8_t UDataInfo::dataVersion[4]

versions: [0] major [1] minor [2] milli [3] micro

Stable:
  ICU 2.0

Definition at line 141 of file udata.h.

The documentation for this struct was generated from the following file:

- udata.h